Loading...
Searching...
No Matches
info_meas_ind_param Struct Reference

for MEAS MPH-INFO.ind More...

`#include <l1sap.h>`

## Data Fields

uint8_t | chan_nr
| Channel Number (Like RSL)
uint32_t | fn
| GSM Frame Number.
uint16_t | ber10k
| BER in units of 0.01%.
union { |
int16_t ta_offs_qbits |
| timing advance offset (in qbits) More...
int16_t ta_offs_256bits |
| timing advance offset (in 1/256th bits) More...
}; |  |
int16_t | c_i_cb
| C/I ratio in 0.1 dB.
uint8_t | is_sub:1
| flags
uint8_t | inv_rssi
| RSSI in dBm * -1.

## Detailed Description

for MEAS MPH-INFO.ind

## Field Documentation

## [union]

union { ... } info_meas_ind_param

## ber10k

uint16_t info_meas_ind_param::ber10k

BER in units of 0.01%.

## c_i_cb

int16_t info_meas_ind_param::c_i_cb

C/I ratio in 0.1 dB.

## chan_nr

uint8_t info_meas_ind_param::chan_nr

Channel Number (Like RSL)

## fn

uint32_t info_meas_ind_param::fn

GSM Frame Number.

## inv_rssi

uint8_t info_meas_ind_param::inv_rssi

RSSI in dBm * -1.

## is_sub

uint8_t info_meas_ind_param::is_sub

flags

## ta_offs_256bits

int16_t info_meas_ind_param::ta_offs_256bits

timing advance offset (in 1/256th bits)

## ta_offs_qbits

int16_t info_meas_ind_param::ta_offs_qbits

timing advance offset (in qbits)

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/l1sap.h